/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				     *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
#ifndef OPENGL_H_
#define OPENGL_H_
/* Header Files */
#include <stdio.h>
#include <stdlib.h>
#include <GL/glew.h>
#include <GL/gl.h>
#include <GL/glx.h>
#include <GL/glu.h>
#include "texture.h"
#include "uniform.h"
#include "win.h"

/*---------------------------------------------------------------------------*/

/* Textures Coordinate */
struct f_texture
{
	GLfloat s;
	GLfloat t;
};

/* Init Triangles */
struct f_triangles
{
	GLfloat x;
	GLfloat y;
	GLfloat z;
};

/* Structure Float */
struct f_float
{
	struct f_texture tex;
	struct f_triangles tri;
}gl;

/* Function */
void loadPNG();
void init(char night);
void textureShader();
void Landscape(char texture, char cloud);
void Cockpit();
void fontEvent();
void process_event(XEvent report);

/*---------------------------------------------------------------------------*/

#endif
